Package org.pushingpixels.substance.flamingo.common.ui

# Class SubstanceCommandButtonPanelUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.PanelUI
org.pushingpixels.flamingo.internal.ui.common.CommandButtonPanelUI
org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI
org.pushingpixels.substance.flamingo.common.ui.SubstanceCommandButtonPanelUI

public class SubstanceCommandButtonPanelUI extends org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI
UI for `JCommandButtonPanel` components in Substance look and feel.

## Nested Class Summary

## Nested classes/interfaces inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI

`org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI.ColumnFillLayout, org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI.RowFillLayout`

## Field Summary

### Fields inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI

`buttonPanel, changeListener, GROUP_INSETS, groupLabels, groupRects, propertyChangeListener`

## Constructor Summary

Constructors
Constructor
Description
`SubstanceCommandButtonPanelUI()`

## Method Summary

Modifier and Type
Method
Description
`static ComponentUI`
`createUI(JComponent comp)`
`protected Insets`
`getGroupInsets()`
`protected int`
`getGroupTitleHeight(int groupIndex)`
`protected void`
`paintGroupBackground(Graphics g, int groupIndex, int x, int y, int width, int height)`
`protected void`
`paintGroupTitleBackground(Graphics g, int groupIndex, int x, int y, int width, int height)`
`void`
`update(Graphics g, JComponent c)`

### Methods inherited from class org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI

`createLayoutManager, getLayoutGap, getPreferredHeight, installComponents, installDefaults, installListeners, installUI, paint, recomputeGroupHeaders, uninstallComponents, uninstallDefaults, uninstallListeners, uninstallUI`

### Methods inherited from class javax.swing.plaf.ComponentUI

`contains, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubstanceCommandButtonPanelUI

public SubstanceCommandButtonPanelUI()

## Method Details

### createUI

public static ComponentUI createUI(JComponent comp)

### getGroupInsets

protected Insets getGroupInsets()

Overrides:
  `getGroupInsets` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI`

### getGroupTitleHeight

protected int getGroupTitleHeight(int groupIndex)

Overrides:
  `getGroupTitleHeight` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI`

### paintGroupBackground

protected void paintGroupBackground(Graphics g, int groupIndex, int x, int y, int width, int height)

Overrides:
  `paintGroupBackground` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI`

### paintGroupTitleBackground

protected void paintGroupTitleBackground(Graphics g, int groupIndex, int x, int y, int width, int height)

Overrides:
  `paintGroupTitleBackground` in class `org.pushingpixels.flamingo.internal.ui.common.BasicCommandButtonPanelUI`

### update

public void update(Graphics g, JComponent c)

Overrides:
  `update` in class `ComponentUI`